package com.example.doctor.Setting.Courses

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import com.example.doctor.Patients.Reports.PatientFragment
import com.example.doctor.R
import com.example.doctor.Setting.Courses.EditCourses.CreateCoursesFragment
import com.example.doctor.databinding.ActivityCoursesBinding

class CoursesActivity : AppCompatActivity() {
    private lateinit var binding: ActivityCoursesBinding
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        binding = ActivityCoursesBinding.inflate(layoutInflater)
        setContentView(binding.root)

        binding.apply {
            supportFragmentManager.beginTransaction().replace(R.id.CLCoursesActivity, CreateCoursesFragment.newInstance()).commit()//Заменяем наш экран на фрагмент (используем наш экран как основу)//R.id.placeHolder - куда всталяем //MainFragment.newInstance() - это то что мы вставляем
        }

    }
}